com.corticon.rulesemf.canonicalrulemodel.rulesheet

## Interface ReferencedAttribute

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValidatableObject

      public interface ReferencedAttribute
      extends ValidatableObject

  A representation of the model object 'Referenced Attribute'.

  The following features are supported:

  - `Attribute`
  See Also:
    `RulesheetPackage.getReferencedAttribute()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EAttribute` | `getAttribute()` Returns the value of the 'Attribute' reference
    `void` | `setAttribute(org.eclipse.emf.ecore.EAttribute value)` Sets the value of the '`Attribute`' reference

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getAttribute

          org.eclipse.emf.ecore.EAttribute getAttribute()

      Returns the value of the 'Attribute' reference.

      If the meaning of the 'Attribute' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Attribute' reference.
      See Also:
        `setAttribute(EAttribute)`, `RulesheetPackage.getReferencedAttribute_Attribute()`

    - #### setAttribute

          void setAttribute(org.eclipse.emf.ecore.EAttribute value)

      Sets the value of the '`Attribute`' reference.
      Parameters:
        `value` - the new value of the 'Attribute' reference.
      See Also:
        `getAttribute()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.